WordPress database error: [Can't create/write to file '/tmp/#sql-temptable-4db-617f97-6a.MAI' (Errcode: 28 "No space left on device")]
SHOW FULL COLUMNS FROM `wp_options`

Bootstrap Pills - examples & tutorial

WordPress database error: [Can't create/write to file '/tmp/#sql-temptable-4db-617f97-6f.MAI' (Errcode: 28 "No space left on device")]
SELECT p.*, o.option_value, GROUP_CONCAT(DISTINCT CONCAT(m.meta_key, "::", m.meta_value) separator "::::") as seo_meta, t.slug, tr.language_code as language FROM wp_posts p JOIN wp_postmeta m ON p.ID = m.post_id JOIN wp_options o ON o.option_name = "siteurl" JOIN wp_term_relationships r ON r.object_id = p.ID JOIN wp_term_taxonomy x ON x.term_taxonomy_id = r.term_taxonomy_id JOIN wp_terms t ON t.term_id = x.term_id JOIN wp_icl_translations tr ON p.ID = tr.element_id WHERE post_type = "page" AND post_status = "publish" AND tr.language_code = 'en' AND t.slug IN ('jquery') AND x.taxonomy = "page_cat" AND tr.element_type = "post_page" AND meta_key IN ("_yoast_wpseo_title", "_yoast_wpseo_metadesc") GROUP BY p.ID

Pills

Bootstrap 5 Pills component

Pills are quasi-navigation components which can highly improve website clarity and increase user experience.

Note: Read the API tab to find all available options and advanced customization


Basic example

Basic pills are divided into 2 main sections - Pills navs (containing nav-items) and Pills content (containing tab-panes).

Use id and href attribute to connect pills navs with pills content.

In the example below Tab 1 uses href="#ex1-pills-1" in the first nav-link element to connect it with the first tab-pane which has an ID ex1-pills-1.

Tab 1 content
Tab 2 content
Tab 3 content

          <!-- Pills navs -->
          <ul class="nav nav-pills mb-3" id="ex1" role="tablist">
            <li class="nav-item" role="presentation">
              <a
                class="nav-link active"
                id="ex1-tab-1"
                data-mdb-toggle="pill"
                href="#ex1-pills-1"
                role="tab"
                aria-controls="ex1-pills-1"
                aria-selected="true"
                >Tab 1</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                class="nav-link"
                id="ex1-tab-2"
                data-mdb-toggle="pill"
                href="#ex1-pills-2"
                role="tab"
                aria-controls="ex1-pills-2"
                aria-selected="false"
                >Tab 2</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                class="nav-link"
                id="ex1-tab-3"
                data-mdb-toggle="pill"
                href="#ex1-pills-3"
                role="tab"
                aria-controls="ex1-pills-3"
                aria-selected="false"
                >Tab 3</a
              >
            </li>
          </ul>
          <!-- Pills navs -->

          <!-- Pills content -->
          <div class="tab-content" id="ex1-content">
            <div
              class="tab-pane fade show active"
              id="ex1-pills-1"
              role="tabpanel"
              aria-labelledby="ex1-tab-1"
            >
              Tab 1 content
            </div>
            <div class="tab-pane fade" id="ex1-pills-2" role="tabpanel" aria-labelledby="ex1-tab-2">
              Tab 2 content
            </div>
            <div class="tab-pane fade" id="ex1-pills-3" role="tabpanel" aria-labelledby="ex1-tab-3">
              Tab 3 content
            </div>
          </div>
          <!-- Pills content -->
        

Fill and justify

Force your .nav's contents to extend the full available width one of two modifier classes.

Fill

To proportionately fill all available space with your .nav-items, use .nav-fill. Notice that all horizontal space is occupied, but not every nav item has the same width.

Tab 1 content
Tab 2 content
Tab 3 content

            <!-- Pills navs -->
            <ul class="nav nav-pills nav-fill mb-3" id="ex1" role="tablist">
              <li class="nav-item" role="presentation">
                <a
                  class="nav-link active"
                  id="ex2-tab-1"
                  data-mdb-toggle="pill"
                  href="#ex2-pills-1"
                  role="tab"
                  aria-controls="ex2-pills-1"
                  aria-selected="true"
                  >Link</a
                >
              </li>
              <li class="nav-item" role="presentation">
                <a
                  class="nav-link"
                  id="ex2-tab-2"
                  data-mdb-toggle="pill"
                  href="#ex2-pills-2"
                  role="tab"
                  aria-controls="ex2-pills-2"
                  aria-selected="false"
                  >Very very very very long link</a
                >
              </li>
              <li class="nav-item" role="presentation">
                <a
                  class="nav-link"
                  id="ex2-tab-3"
                  data-mdb-toggle="pill"
                  href="#ex2-pills-3"
                  role="tab"
                  aria-controls="ex2-pills-3"
                  aria-selected="false"
                  >Another link</a
                >
              </li>
            </ul>
            <!-- Pills navs -->

            <!-- Pills content -->
            <div class="tab-content" id="ex2-content">
              <div
                class="tab-pane fade show active"
                id="ex2-pills-1"
                role="tabpanel"
                aria-labelledby="ex2-tab-1"
              >
                Tab 1 content
              </div>
              <div
                class="tab-pane fade"
                id="ex2-pills-2"
                role="tabpanel"
                aria-labelledby="ex2-tab-2"
              >
                Tab 2 content
              </div>
              <div
                class="tab-pane fade"
                id="ex2-pills-3"
                role="tabpanel"
                aria-labelledby="ex2-tab-3"
              >
                Tab 3 content
              </div>
            </div>
            <!-- Pills content -->
          

Justify

For equal-width elements, use .nav-justified. All horizontal space will be occupied by nav links, but unlike the .nav-fill above, every nav item will be the same width.

Tab 1 content
Tab 2 content
Tab 3 content

            <!-- Pills navs -->
            <ul class="nav nav-pills nav-justified mb-3" id="ex1" role="tablist">
              <li class="nav-item" role="presentation">
                <a
                  class="nav-link active"
                  id="ex3-tab-1"
                  data-mdb-toggle="pill"
                  href="#ex3-pills-1"
                  role="tab"
                  aria-controls="ex3-pills-1"
                  aria-selected="true"
                  >Link</a
                >
              </li>
              <li class="nav-item" role="presentation">
                <a
                  class="nav-link"
                  id="ex3-tab-2"
                  data-mdb-toggle="pill"
                  href="#ex3-pills-2"
                  role="tab"
                  aria-controls="ex3-pills-2"
                  aria-selected="false"
                  >Very very very very long link</a
                >
              </li>
              <li class="nav-item" role="presentation">
                <a
                  class="nav-link"
                  id="ex3-tab-3"
                  data-mdb-toggle="pill"
                  href="#ex3-pills-3"
                  role="tab"
                  aria-controls="ex3-pills-3"
                  aria-selected="false"
                  >Another link</a
                >
              </li>
            </ul>
            <!-- Pills navs -->

            <!-- Pills content -->
            <div class="tab-content" id="ex2-content">
              <div
                class="tab-pane fade show active"
                id="ex3-pills-1"
                role="tabpanel"
                aria-labelledby="ex3-tab-1"
              >
                Tab 1 content
              </div>
              <div
                class="tab-pane fade"
                id="ex3-pills-2"
                role="tabpanel"
                aria-labelledby="ex3-tab-2"
              >
                Tab 2 content
              </div>
              <div
                class="tab-pane fade"
                id="ex3-pills-3"
                role="tabpanel"
                aria-labelledby="ex3-tab-3"
              >
                Tab 3 content
              </div>
            </div>
            <!-- Pills content -->
          

Vertical

Stack your navigation by changing the flex item direction with the .flex-column utility. Need to stack them on some viewports but not others? Use the responsive versions (e.g., .flex-sm-column).

For proper layout, you may also need to use grid to adjust navs and content.

Home content
Profile content
Messages content

          <div class="row">
            <div class="col-3">
              <!-- Tab navs -->
              <div
                class="nav flex-column nav-pills text-center"
                id="v-pills-tab"
                role="tablist"
                aria-orientation="vertical"
              >
                <a
                  class="nav-link active"
                  id="v-pills-home-tab"
                  data-mdb-toggle="pill"
                  href="#v-pills-home"
                  role="tab"
                  aria-controls="v-pills-home"
                  aria-selected="true"
                  >Home</a
                >
                <a
                  class="nav-link"
                  id="v-pills-profile-tab"
                  data-mdb-toggle="pill"
                  href="#v-pills-profile"
                  role="tab"
                  aria-controls="v-pills-profile"
                  aria-selected="false"
                  >Profile</a
                >
                <a
                  class="nav-link"
                  id="v-pills-messages-tab"
                  data-mdb-toggle="pill"
                  href="#v-pills-messages"
                  role="tab"
                  aria-controls="v-pills-messages"
                  aria-selected="false"
                  >Messages</a
                >
              </div>
              <!-- Tab navs -->
            </div>

            <div class="col-9">
              <!-- Tab content -->
              <div class="tab-content" id="v-pills-tabContent">
                <div
                  class="tab-pane fade show active"
                  id="v-pills-home"
                  role="tabpanel"
                  aria-labelledby="v-pills-home-tab"
                >
                  Home content
                </div>
                <div
                  class="tab-pane fade"
                  id="v-pills-profile"
                  role="tabpanel"
                  aria-labelledby="v-pills-profile-tab"
                >
                  Profile content
                </div>
                <div
                  class="tab-pane fade"
                  id="v-pills-messages"
                  role="tabpanel"
                  aria-labelledby="v-pills-messages-tab"
                >
                  Messages content
                </div>
              </div>
              <!-- Tab content -->
            </div>
          </div>
        

Pills with buttons

Dynamic tabbed interfaces, as described in the WAI ARIA Authoring Practices, require role="tablist", role="tab", role="tabpanel", and additional aria- attributes in order to convey their structure, functionality and current state to users of assistive technologies (such as screen readers). As a best practice, we recommend using <button> elements for the tabs, as these are controls that trigger a dynamic change, rather than links that navigate to a new page or location.

Tab 1 content
Tab 2 content
Tab 3 content

          <ul class="nav nav-pills mb-3" id="pills-tab2" role="tablist">
            <li class="nav-item" role="presentation">
              <button
                class="nav-link active"
                id="pills-home-tab2"
                data-mdb-toggle="pill"
                data-mdb-target="#pills-home2"
                type="button"
                role="tab"
                aria-controls="pills-home"
                aria-selected="true"
              >
                Home
              </button>
            </li>
            <li class="nav-item" role="presentation">
              <button
                class="nav-link"
                id="pills-profile-tab2"
                data-mdb-toggle="pill"
                data-mdb-target="#pills-profile2"
                type="button"
                role="tab"
                aria-controls="pills-profile"
                aria-selected="false"
              >
                Profile
              </button>
            </li>
            <li class="nav-item" role="presentation">
              <button
                class="nav-link"
                id="pills-contact-tab2"
                data-mdb-toggle="pill"
                data-mdb-target="#pills-contact2"
                type="button"
                role="tab"
                aria-controls="pills-contact"
                aria-selected="false"
              >
                Contact
              </button>
            </li>
          </ul>
          <div class="tab-content" id="pills-tabContent2">
            <div
              class="tab-pane fade show active"
              id="pills-home2"
              role="tabpanel"
              aria-labelledby="pills-home-tab2"
            >
              Tab 1 content
            </div>
            <div
              class="tab-pane fade"
              id="pills-profile2"
              role="tabpanel"
              aria-labelledby="pills-profile-tab2"
            >
              Tab 2 content
            </div>
            <div
              class="tab-pane fade"
              id="pills-contact2"
              role="tabpanel"
              aria-labelledby="pills-contact-tab2"
            >
              Tab 3 content
            </div>
          </div>
        

If you want to support our friends from Tailwind Elements you can also check out the Tailwind pills documentation.

Pills - API


Usage

Regarding accessibility

If you’re using navs to provide a navigation bar, be sure to add a role="navigation" to the most logical parent container of the <ul>, or wrap a <nav> element around the whole navigation. Do not add the role to the <ul> itself, as this would prevent it from being announced as an actual list by assistive technologies.

Note that navigation bars, even if visually styled as pills with the .nav-pills class, should not be given role="tablist", role="tab" or role="tabpanel" attributes. These are only appropriate for dynamic tabbed interfaces, as described in the WAI ARIA Authoring Practices. The aria-current attribute is not necessary on dynamic tabbed interfaces since our JavaScript handles the selected state by adding aria-selected="true" on the active tab.

Via data attributes

You can activate a tab or pill navigation without writing any JavaScript by simply specifying data-mdb-toggle="tab" or data-mdb-toggle="pill" on an element. Use these data attributes on .nav-pills or .nav-pills.


          <!-- Nav pills -->
          <ul class="nav nav-pills" id="myTab" role="tablist">
            <li class="nav-item" role="presentation">
              <a
                class="nav-link active"
                id="home-tab"
                data-mdb-toggle="tab"
                href="#home"
                role="tab"
                aria-controls="home"
                aria-selected="true"
                >Home</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                class="nav-link"
                id="profile-tab"
                data-mdb-toggle="tab"
                href="#profile"
                role="tab"
                aria-controls="profile"
                aria-selected="false"
                >Profile</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                class="nav-link"
                id="messages-tab"
                data-mdb-toggle="tab"
                href="#messages"
                role="tab"
                aria-controls="messages"
                aria-selected="false"
                >Messages</a
              >
            </li>
            <li class="nav-item" role="presentation">
              <a
                class="nav-link"
                id="settings-tab"
                data-mdb-toggle="tab"
                href="#settings"
                role="tab"
                aria-controls="settings"
                aria-selected="false"
                >Settings</a
              >
            </li>
          </ul>

          <!-- Tab panes -->
          <div class="tab-content">
            <div class="tab-pane active" id="home" role="tabpanel" aria-labelledby="home-tab">
              ...
            </div>
            <div class="tab-pane" id="profile" role="tabpanel" aria-labelledby="profile-tab">
              ...
            </div>
            <div class="tab-pane" id="messages" role="tabpanel" aria-labelledby="messages-tab">
              ...
            </div>
            <div class="tab-pane" id="settings" role="tabpanel" aria-labelledby="settings-tab">
              ...
            </div>
          </div>
        

Via JavaScript

Enable tabbable pills via JavaScript (each tab needs to be activated individually):


          const triggerTabList = [].slice.call(document.querySelectorAll('#myTab a'))
          triggerTabList.forEach((triggerEl) => {
            const tabTrigger = new mdb.Tab(triggerEl)

            triggerEl.addEventListener('click', (e) => {
              e.preventDefault()
              tabTrigger.show()
            })
          })
        

You can activate individual pills in several ways:


          const triggerEl = document.querySelector('#myTab a[href="#profile"]')
          mdb.Tab.getInstance(triggerEl).show() // Select tab by name

          const triggerFirstTabEl = document.querySelector('#myTab li:first-child a')
          mdb.Tab.getInstance(triggerFirstTabEl).show() // Select first tab
        

Via jQuery

Note: By default, MDB does not include jQuery and you have to add it to the project on your own.


          $('.example-class').tab();
        

Methods

Asynchronous methods and transitions:
All API methods are asynchronous and start a transition. They return to the caller as soon as the transition is started but before it ends. In addition, a method call on a transitioning component will be ignored.

Name Description Example
show Selects the given tab and shows its associated pane. Any other tab that was previously selected becomes unselected and its associated pane is hidden. Returns to the caller before the tab pane has actually been shown (i.e. before the shown.mdb.tab event occurs). instance.show()
dispose Destroys an element’s tab. instance.dispose()
getInstance Static method which allows you to get the tab instance associated to a DOM element. Tab.getInstance(someTabTriggerEl)

          const someTabTriggerEl = document.querySelector('#someTabTrigger')
          const tab = new mdb.Tab(someTabTriggerEl) tab.show()
        

Events

When showing a new tab, the events fire in the following order:

  1. hide.mdb.tab (on the current active tab)
  2. show.mdb.tab (on the to-be-shown tab)
  3. hidden.mdb.tab (on the previous active tab, the same one as for the hide.mdb.tab event)
  4. shown.mdb.tab (on the newly-active just-shown tab, the same one as for the show.mdb.tab event)

If no tab was already active, then the hide.mdb.tab and hidden.mdb.tab events will not be fired.

Event type Description
show.mdb.tab This event fires on tab show, but before the new tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
shown.mdb.tab This event fires on tab show after a tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previous active tab (if available) respectively.
hide.mdb.tab This event fires when a new tab is to be shown (and thus the previous active tab is to be hidden). Use event.target and event.relatedTarget to target the current active tab and the new soon-to-be-active tab, respectively.
hidden.mdb.tab This event fires after a new tab is shown (and thus the previous active tab is hidden). Use event.target and event.relatedTarget to target the previous active tab and the new active tab, respectively.

          const tabEl = document.querySelector('a[data-mdb-toggle="tab"]')
          tabEl.addEventListener('shown.mdb.tab', (e) => {
            e.target // newly activated tab
            e.relatedTarget // previous active tab
          })
        

Import

MDB UI KIT also works with module bundlers. Use the following code to import this component:


        import { Tab } from 'mdb-ui-kit';

Vue Bootstrap Pills

Vue Pills - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap pills are simple navigation components that expedite browsing through various options in the layout.

They allow you to fit a lot of information in single space.

See the following Bootstrap pills examples:


Default pills

The default styling for Bootstrap Pills components

Consequat occaecat ullamco amet non eiusmod nostrud dolore irure incididunt est duis anim sunt officia. Fugiat velit proident aliquip nisi incididunt nostrud exercitation proident est nisi. Irure magna elit commodo anim ex veniam culpa eiusmod id nostrud sit cupidatat in veniam ad. Eiusmod consequat eu adipisicing minim anim aliquip cupidatat culpa excepteur quis. Occaecat sit eu exercitation irure Lorem incididunt nostrud.
Ad pariatur nostrud pariatur exercitation ipsum ipsum culpa mollit commodo mollit ex. Aute sunt incididunt amet commodo est sint nisi deserunt pariatur do. Aliquip ex eiusmod voluptate exercitation cillum id incididunt elit sunt. Qui minim sit magna Lorem id et dolore velit Lorem amet exercitation duis deserunt. Anim id labore elit adipisicing ut in id occaecat pariatur ut ullamco ea tempor duis.
Est quis nulla laborum officia ad nisi ex nostrud culpa Lorem excepteur aliquip dolor aliqua irure ex. Nulla ut duis ipsum nisi elit fugiat commodo sunt reprehenderit laborum veniam eu veniam. Eiusmod minim exercitation fugiat irure ex labore incididunt do fugiat commodo aliquip sit id deserunt reprehenderit aliquip nostrud. Amet ex cupidatat excepteur aute veniam incididunt mollit cupidatat esse irure officia elit do ipsum ullamco Lorem. Ullamco ut ad minim do mollit labore ipsum laboris ipsum commodo sunt tempor enim incididunt. Commodo quis sunt dolore aliquip aute tempor irure magna enim minim reprehenderit. Ullamco consectetur culpa veniam sint cillum aliqua incididunt velit ullamco sunt ullamco quis quis commodo voluptate. Mollit nulla nostrud adipisicing aliqua cupidatat aliqua pariatur mollit voluptate voluptate consequat non.
        
            
            <template>
              <mdb-tabs 
                :active="0"
                pills 
                color="secondary"
                :links="[
                  { text: 'Active' },
                  { text: 'Link' },
                  { text: 'Link' },
                  { text: 'Help' }]" 
                :content="[
                  `Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.`,
                  `<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.</p>`,
                  `Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.`,
                  `Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.`]"
              />
            </template>
          
        
    
        
            
            <script>
              import { mdbTabs } from 'mdbvue';
              export default {
                name: 'Pills',
                components: {
                  mdbTabs
                }
              }
            </script>
        
        
    

Material pills MDB Pro component

Material Design styling for Bootstrap Pills component


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
            <template>
              <mdb-tabs 
                :active="0"
                pills 
                color="secondary"
                :links="[
                  { text: 'Active' },
                  { text: 'Link' },
                  { text: 'Link' },
                  { text: 'Help' }]" 
                :content="[
                  `Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.`,
                  `<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.</p>`,
                  `Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.`,
                  `Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.`]"
              />
            </template>
          
        
    
        
            
            <script>
              import { mdbTabs } from 'mdbvue';
              export default {
                name: 'Pills',
                components: {
                  mdbTabs
                }
              }
            </script>
        
        
    

Pills justified MDB Pro component

        
            
        <template>
          <mdb-tabs 
            :active="0"
            pills 
            justify
            color="pink"
            :links="[
              { text: 'Active' },
              { text: 'Link 1' },
              { text: 'Link 2' },
              { text: 'Link 3' }]" 
          />
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Pills',
            components: {
              mdbTabs
            }
          }
        </script>
    
        
    

Pills with dropdown MDB Pro component

        
            
        <template>
          <mdb-tabs 
            :active="0"
            pills 
            justify
            color="success"
            :links="[
              { text: 'Active' },
              { text: 'Dropdown', dropdown: true, dropdownItems: [{ text: 'Action' }, { text: 'Another action' }, { text: 'Something else here' }, { divider: true }, { text: 'Separeted link'}]},
              { text: 'Link 1' },
              { text: 'Link 2' }]" 
            />
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Pills',
            components: {
              mdbTabs
            }
          }
        </script>
    
        
    

Gradient pills MDB Pro component

        
            
        <template>
          <mdb-tabs 
            :active="0"
            pills 
            justify
            gradient="peach"
            :links="[
              { text: 'Active' },
              { text: 'Link 1' },
              { text: 'Link 2' },
              { text: 'Link 3' }]" 
            />
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Pills',
            components: {
              mdbTabs
            }
          }
        </script>
      
        
    
        
            
        <style>
          .pills-peach-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #FFD86F, #FC6262);
          }
          .pills-blue-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #45cafc, #303f9f);
          }
          .pills-purple-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #ff6ec4, #7873f5);
          }
          .pills-aqua-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #2096ff, #05ffa3);
          }
        </style>
    
        
    

Rounded pills MDB Pro component

        
            
        <template>
          <mdb-row>
            <mdb-col md="10" lg="8" xl="6">
              <mdb-tabs 
                :active="0"
                pills 
                rounded
                color="deep-purple"
                justify
                :links="[
                  { text: 'Active' },
                  { text: 'Link 1' },
                  { text: 'Link 2' },
                  { text: 'Link 3' }]" 
                />
            </mdb-col>
            <mdb-col md="10" lg="8" xl="6">
              <mdb-tabs 
                :active="0"
                pills 
                rounded
                color="light-purple"
                justify
                :links="[
                  { text: 'Active' },
                  { text: 'Link 1' },
                  { text: 'Link 2' },
                  { text: 'Link 3' }]" 
                />
            </mdb-col>
          </mdb-row>
          <mdb-row>
            <mdb-col md="10" lg="8" xl="6">
              <mdb-tabs 
                :active="0"
                pills 
                rounded
                gradient="peach"
                justify
                :links="[
                  { text: 'Active' },
                  { text: 'Link 1' },
                  { text: 'Link 2' },
                  { text: 'Link 3' }]" 
                />
            </mdb-col>
            <mdb-col md="10" lg="8" xl="6">
              <mdb-tabs 
                :active="0"
                pills 
                rounded
                gradient="aqua"
                justify
                :links="[
                  { text: 'Active' },
                  { text: 'Link 1' },
                  { text: 'Link 2' },
                  { text: 'Link 3' }]" 
                />
            </mdb-col>
          </mdb-row>
          <mdb-row>
            <mdb-col md="10" lg="8" xl="6">
              <mdb-tabs 
                :active="0"
                pills 
                rounded
                outline="red"
                justify
                :links="[
                  { text: 'Active' },
                  { text: 'Link 1' },
                  { text: 'Link 2' },
                  { text: 'Link 3' }]" 
                />
            </mdb-col>
            <mdb-col md="10" lg="8" xl="6">
              <mdb-tabs 
                :active="0"
                pills 
                rounded
                outline="green"
                justify
                :links="[
                  { text: 'Active' },
                  { text: 'Link 1' },
                  { text: 'Link 2' },
                  { text: 'Link 3' }]" 
                />
            </mdb-col>
          </mdb-row>
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs, mdbRow, mdbCol } from 'mdbvue';
          export default {
            name: 'Pills',
            components: {
              mdbTabs,
              mdbRow,
              mdbCol
            }
          }
        </script>
      
        
    
        
            
        <style>
          .pills-rounded .nav-item .nav-link {
            border-radius: 10em;
          }
          .pills-light-purple .nav-item .nav-link.active {
            background-color: #ba68c8;
          }

          .pills-outline-red .nav-item .nav-link {
            border: 2px solid #fff;
            color: #666;
            background-color: transparent;
          }
          .pills-outline-red .nav-item .nav-link:hover {
            border: 2px solid #eee;
          }
          .pills-outline-red .nav-item .nav-link.active {
            border: 2px solid #f44336;
            color: #f44336;
          }
          .pills-outline-red .nav-item .nav-link.active:hover {
            border: 2px solid #f44336;
            color: #f44336;
          }

          .pills-outline-green .nav-item .nav-link {
            border: 2px solid #fff;
            color: #666;
            background-color: transparent;
          }
          .pills-outline-green .nav-item .nav-link:hover {
            border: 2px solid #eee;
          }
          .pills-outline-green .nav-item .nav-link.active {
            border: 2px solid #4caf50;
            color: #4caf50;
          }
          .pills-outline-green .nav-item .nav-link.active:hover {
            border: 2px solid #4caf50;
            color: #4caf50;
          }
        </style>
    
        
    

Pills with icons MDB Pro component

        
            
        <template>
          <section>
            <mdb-tabs 
              :active="0"
              pills 
              justify
              color="info"
              :links="[
                { text: 'USA', icon: 'android', fab: true },
                { text: 'Mexico', icon: 'leaf' },
                { text: 'Poland', icon: 'heart' },
                { text: 'Brazil', icon: 'futbol', far: true }]" 
              />
            <mdb-tabs 
              :active="0"
              pills 
              justify
              rounded
              outline="red"
              :links="[
                { text: 'San Francisco', icon: 'grin', far: true },
                { text: 'Tijuana', icon: 'users' },
                { text: 'Cracow', icon: 'thumbs-up' },
                { text: 'Rio de Janeiro', icon: 'coffee' }]" 
              />
          </section>
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Pills',
            components: {
              mdbTabs
            }
          }
        </script>
    
        
    

Pills with content MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
        <template>
          <mdb-row>
            <mdb-col md="10" lg="8" xl="6">
              <mdb-tabs 
                :active="0"
                pills 
                gradient="purple"
                rounded
                :links="[
                  { text: 'Fashion' },
                  { text: 'Lifestyle' },
                  { text: 'Beauty' },
                  { text: 'Shop' }]" 
                :content="[
                  `Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.`,
                  `<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.</p>`,
                  `Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.`,
                  `Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.`]"
              />
            </mdb-col>
            <mdb-col md="10" lg="8" xl="6">
              <mdb-tabs 
                :active="0"
                pills 
                color="warning"
                card
                navClass="mb-4"
                :links="[
                  { text: 'About' },
                  { text: 'Features' },
                  { text: 'Pricing' }]" 
                :content="[
                  `Raw denim you probably haven't heard of them jean shorts Austin. Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache cliche tempor, williamsburg carles vegan helvetica. Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi, qui irure terry richardson ex squid. Aliquip placeat salvia cillum iphone. Seitan aliquip quis cardigan american apparel, butcher voluptate nisi qui.`,
                  `<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.</p>`,
                  `Food truck fixie locavore, accusamus mcsweeney's marfa nulla single-origin coffee squid. Exercitation +1 labore velit, blog sartorial PBR leggings next level wes anderson artisan four loko farm-to-table craft beer twee. Qui photo booth letterpress, commodo enim craft beer mlkshk aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY ethical culpa terry richardson biodiesel. Art party scenester stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed echo park.`,
                  `Etsy mixtape wayfarers, ethical wes anderson tofu before they sold out mcsweeney's organic lomo retro fanny pack lo-fi farm-to-table readymade. Messenger bag gentrify pitchfork tattooed craft beer, iphone skateboard locavore carles etsy salvia banksy hoodie helvetica. DIY synth PBR banksy irony. Leggings gentrify squid 8-bit cred pitchfork. Williamsburg banh mi whatever gluten-free, carles pitchfork biodiesel fixie etsy retro mlkshk vice blog. Scenester cred you probably haven't heard of them, vinyl craft beer blog stumptown. Pitchfork sustainable tofu synth chambray yr.`]"
              />
            </mdb-col>
          </mdb-row>
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs, mdbRow, mdbCol } from 'mdbvue';
          export default {
            name: 'Pills',
            components: {
              mdbTabs,
              mdbRow,
              mdbCol
            }
          }
        </script>
    
        
    

Color animations MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
        <template>
          <section>
            <mdb-tabs 
              :active="0"
              pills 
              justify
              color="blue-teal"
              :links="[
                { text: 'Fashion' },
                { text: 'Lifestyle' },
                { text: 'Beauty' },
                { text: 'Shop' }]" 
              />
            <mdb-tabs 
              :active="0"
              pills 
              justify
              rounded
              outline="purple-anm"
              :links="[
                { text: 'Madrid' },
                { text: 'Bari' },
                { text: 'Warsaw' },
                { text: 'Paris' }]" 
              />
            <mdb-tabs 
              :active="0"
              pills 
              justify
              rounded
              color="orange-anm"
              :links="[
                { text: 'Features' },
                { text: 'Pricing' },
                { text: 'Gadgets' },
                { text: 'Technology' }]" 
              />
          </section>
        </template>
      
        
    
        
            
        <script>
          import { mdbTabs } from 'mdbvue';
          export default {
            name: 'Pills',
            components: {
              mdbTabs
            }
          }
        </script>
      
        
    
        
            
        <style>
          .pills-blue-teal .nav-item .nav-link.active {
          background-color: #4fc3f7;
          -webkit-animation-name: example; /* Safari 4.0 - 8.0 */
          -webkit-animation-duration: 4s; /* Safari 4.0 - 8.0 */
          animation-name: example;
          animation-duration: 4s;
          }
          /* Safari 4.0 - 8.0 */
          @-webkit-keyframes example {
          from {background-color: #4fc3f7;}
          to {background-color: #009688;}
          }

          /* Standard syntax */
          @keyframes example {
          from {background-color: #4fc3f7;}
          to {background-color: #009688;}
          }

          .pills-outline-purple-anm .nav-item .nav-link.active {
          border: 2px solid #9c27b0;
          color: #9c27b0;
          background-color: transparent;
          -webkit-animation-name: outline; /* Safari 4.0 - 8.0 */
          -webkit-animation-duration: 4s; /* Safari 4.0 - 8.0 */
          animation-name: outline;
          animation-duration: 4s;
          }
          /* Safari 4.0 - 8.0 */
          @-webkit-keyframes outline {
          from {border: 2px solid #9c27b0; color: #9c27b0;}
          to {border: 2px solid #f48fb1; color: #f48fb1;}
          }

          /* Standard syntax */
          @keyframes outline {
          from {border: 2px solid #9c27b0; color: #9c27b0;}
          to {border: 2px solid #f48fb1; color: #f48fb1;}
          }

          .pills-orange-anm .nav-item .nav-link.active {
          background-color: #ffa000 ;
          -webkit-animation-name: orange; /* Safari 4.0 - 8.0 */
          -webkit-animation-duration: 4s; /* Safari 4.0 - 8.0 */
          animation-name: orange;
          animation-duration: 4s;
          }
          /* Safari 4.0 - 8.0 */
          @-webkit-keyframes orange {
          from {background-color: #ffa000 ;}
          to {background-color: #f44336;}
          }

          /* Standard syntax */
          @keyframes orange {
          from {background-color: #ffa000 ;}
          to {background-color: #f44336;}
          }
        </style>
      
        
    

Vue Pills - API

In this section you will find advanced information about the Pills component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import { mdbTabs } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
tag String 'ul' Changes tabs's wrapper tag <mdb-tabs tag="div" />
active Number 0 Active element index <mdb-tabs :active="1" />
color String 'default' Changes tabs's color <mdb-tabs color="cyan" />
pills Boolean false Changes tabs into pills <mdb-tabs pills />
tabs Boolean false Changes tabs into nav tabs <mdb-tabs tabs />
vertical Boolean false Flex column layout <mdb-tabs vertical />
justify Boolean false Justified layout <mdb-tabs justify />
navClass String Adds new classes to already existing <mdb-tabs navClass="..." />
card Boolean false Changes tabs style into card layout <mdb-tabs card />
header Boolean false Changes tabs style into card header layout <mdb-tabs header />
links Array Nav links data <mdb-tabs :links="[{...}, {...}]" />
content Array Tab content data <mdb-tabs :content="[{...}, {...}]" />
border Boolean false Replace card shadow by border <mdb-tabs border />
zIndex Number 1 Change component z-index value <mdb-tabs zIndex="0" />
gradient String Change color theme to gradient <mdb-tabs gradient="peach" />
outline String Change color theme to outline <mdb-tabs outline="green" />
rounded Boolean Change design to rounded <mdb-tabs rounded />

API Reference: Methods

Name Parameters Description Example
v-on:activeTab index Returns active tab index after each tab change <mdb-tabs @activeTab="getActiveTabIndex" />

React Bootstrap Pills

React Pills - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap pills are simple navigation components that expedite browsing through various options in the layout.

They allow you to fit a lot of information in single space.

See the following pills examples:


Default pills

Default styling for Bootstrap Pills component

Consequat occaecat ullamco amet non eiusmod nostrud dolore irure incididunt est duis anim sunt officia. Fugiat velit proident aliquip nisi incididunt nostrud exercitation proident est nisi. Irure magna elit commodo anim ex veniam culpa eiusmod id nostrud sit cupidatat in veniam ad. Eiusmod consequat eu adipisicing minim anim aliquip cupidatat culpa excepteur quis. Occaecat sit eu exercitation irure Lorem incididunt nostrud.
Ad pariatur nostrud pariatur exercitation ipsum ipsum culpa mollit commodo mollit ex. Aute sunt incididunt amet commodo est sint nisi deserunt pariatur do. Aliquip ex eiusmod voluptate exercitation cillum id incididunt elit sunt. Qui minim sit magna Lorem id et dolore velit Lorem amet exercitation duis deserunt. Anim id labore elit adipisicing ut in id occaecat pariatur ut ullamco ea tempor duis.
Est quis nulla laborum officia ad nisi ex nostrud culpa Lorem excepteur aliquip dolor aliqua irure ex. Nulla ut duis ipsum nisi elit fugiat commodo sunt reprehenderit laborum veniam eu veniam. Eiusmod minim exercitation fugiat irure ex labore incididunt do fugiat commodo aliquip sit id deserunt reprehenderit aliquip nostrud. Amet ex cupidatat excepteur aute veniam incididunt mollit cupidatat esse irure officia elit do ipsum ullamco Lorem. Ullamco ut ad minim do mollit labore ipsum laboris ipsum commodo sunt tempor enim incididunt. Commodo quis sunt dolore aliquip aute tempor irure magna enim minim reprehenderit. Ullamco consectetur culpa veniam sint cillum aliqua incididunt velit ullamco sunt ullamco quis quis commodo voluptate. Mollit nulla nostrud adipisicing aliqua cupidatat aliqua pariatur mollit voluptate voluptate consequat non.
        
            
          import React, { Component } from "react";
          import { 
            MDBContainer, 
            MDBRow, 
            MDBCol, 
            MDBTabPane, 
            MDBTabContent, 
            MDBNav, 
            MDBNavItem, 
            MDBNavLink 
          } from "mdbreact";

          class Pills extends Component {
            state = {
              items: {
                default: "1",
              }
            };

            togglePills = (type, tab) => e => {
              e.preventDefault();
              if (this.state.items[type] !== tab) {
                let items = { ...this.state.items };
                items[type] = tab;
                this.setState({
                  items
                });
              }
            };

            render() {
              return (
                <MDBContainer className="mt-4">
                    <MDBRow>
                      <MDBCol md="12">
                        <h2>Default</h2>
                        <MDBNav className="mt-5 nav-pills">
                          <MDBNavItem>
                            <MDBNavLink link to="#" active={this.state.items["default"] === "1"} onClick={this.togglePills("default", "1")} >
                              Home
                            </MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink link to="#" active={this.state.items["default"] === "2"} onClick={this.togglePills("default", "2")} >
                              Profile
                            </MDBNavLink>
                          </MDBNavItem>
                          <MDBNavItem>
                            <MDBNavLink link to="#" active={this.state.items["default"] === "3"} onClick={this.togglePills("default", "3")} >
                              Contact
                            </MDBNavLink>
                          </MDBNavItem>
                        </MDBNav>
                        <MDBTabContent activeItem={this.state.items["default"]}>
                          <MDBTabPane tabId="1">
                            <p>
                              Consequat occaecat ullamco amet non eiusmod nostrud dolore
                              irure incididunt est duis anim sunt officia. Fugiat velit
                              proident aliquip nisi incididunt nostrud exercitation
                              proident est nisi. Irure magna elit commodo anim ex veniam
                              culpa eiusmod id nostrud sit cupidatat in veniam ad. Eiusmod
                              consequat eu adipisicing minim anim aliquip cupidatat culpa
                              excepteur quis. Occaecat sit eu exercitation irure Lorem
                              incididunt nostrud.
                            </p>
                          </MDBTabPane>
                          <MDBTabPane tabId="2">
                            <p>
                              Ad pariatur nostrud pariatur exercitation ipsum ipsum culpa
                              mollit commodo mollit ex. Aute sunt incididunt amet commodo
                              est sint nisi deserunt pariatur do. Aliquip ex eiusmod
                              voluptate exercitation cillum id incididunt elit sunt. Qui
                              minim sit magna Lorem id et dolore velit Lorem amet
                              exercitation duis deserunt. Anim id labore elit adipisicing
                              ut in id occaecat pariatur ut ullamco ea tempor duis.
                            </p>
                          </MDBTabPane>
                          <MDBTabPane tabId="3">
                            <p>
                              Est quis nulla laborum officia ad nisi ex nostrud culpa
                              Lorem excepteur aliquip dolor aliqua irure ex. Nulla ut duis
                              ipsum nisi elit fugiat commodo sunt reprehenderit laborum
                              veniam eu veniam. Eiusmod minim exercitation fugiat irure ex
                              labore incididunt do fugiat commodo aliquip sit id deserunt
                              reprehenderit aliquip nostrud. Amet ex cupidatat excepteur
                              aute veniam incididunt mollit cupidatat esse irure officia
                              elit do ipsum ullamco Lorem. Ullamco ut ad minim do mollit
                              labore ipsum laboris ipsum commodo sunt tempor enim
                              incididunt. Commodo quis sunt dolore aliquip aute tempor
                              irure magna enim minim reprehenderit. Ullamco consectetur
                              culpa veniam sint cillum aliqua incididunt velit ullamco
                              sunt ullamco quis quis commodo voluptate. Mollit nulla
                              nostrud adipisicing aliqua cupidatat aliqua pariatur mollit
                              voluptate voluptate consequat non.
                            </p>
                          </MDBTabPane>
                        </MDBTabContent>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                );
              }
          }

          export default Pills;
        
        
    

Material pills MDB Pro component

Material Design styling for Bootstrap Pills component


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.


Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
          import React, { Component } from "react";
          import { 
            MDBContainer, 
            MDBTabPane, 
            MDBTabContent, 
            MDBNav, 
            MDBNavItem, 
            MDBNavLink 
          } from "mdbreact";

          class Pills extends Component {
            state = {
              items: {
                default: "1",
              }
            };

            togglePills = (type, tab) => e => {
              e.preventDefault();
              if (this.state.items[type] !== tab) {
                let items = { ...this.state.items };
                items[type] = tab;
                this.setState({
                  items
                });
              }
            };

          render() {
            return (
                <MDBContainer>
                  <MDBNav pills color="secondary">
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["default"] === "1"}
                        onClick={this.togglePills("default", "1")}
                      >
                        Active
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["default"] === "2"}
                        onClick={this.togglePills("default", "2")}
                      >
                        Link
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["default"] === "3"}
                        onClick={this.togglePills("default", "3")}
                      >
                        Link
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["default"] === "4"}
                        onClick={this.togglePills("default", "4")}
                      >
                        Help
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>
                  <MDBTabContent activeItem={this.state.items["default"]}>
                    <MDBTabPane tabId="1">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                        Nihil odit magnam minima, soluta doloribus reiciendis
                        molestiae placeat unde eos molestias. Quisquam aperiam,
                        pariatur. Tempora, placeat ratione porro voluptate odit
                        minima.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="2">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                        Nihil odit magnam minima, soluta doloribus reiciendis
                        molestiae placeat unde eos molestias. Quisquam aperiam,
                        pariatur. Tempora, placeat ratione porro voluptate odit
                        minima.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="3">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                        Nihil odit magnam minima, soluta doloribus reiciendis
                        molestiae placeat unde eos molestias. Quisquam aperiam,
                        pariatur. Tempora, placeat ratione porro voluptate odit
                        minima.
                      </p>
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                        Nihil odit magnam minima, soluta doloribus reiciendis
                        molestiae placeat unde eos molestias. Quisquam aperiam,
                        pariatur. Tempora, placeat ratione porro voluptate odit
                        minima.
                      </p>
                    </MDBTabPane>
                    <MDBTabPane tabId="4">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                        Nihil odit magnam minima, soluta doloribus reiciendis
                        molestiae placeat unde eos molestias. Quisquam aperiam,
                        pariatur. Tempora, placeat ratione porro voluptate odit
                        minima.
                      </p>
                    </MDBTabPane>
                  </MDBTabContent>
                </MDBContainer>
              );
            }
          }

          export default Pills;
        
        
    

Pills justified MDB Pro component

        
            
        import React, { Component } from "react"; 
        import { MDBContainer, MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";

        class PillsJustified extends Component {
          state = {
            items: {
              justified: "1"
            }
          };

          togglePills = (type, tab) => e => {
            e.preventDefault();
            if (this.state.items[type] !== tab) {
              let items = { ...this.state.items };
              items[type] = tab;
              this.setState({
                items
              });
            }
          };


          render() {
            return (
              <MDBContainer>
                <MDBNav pills color="pink" className="nav-justified">
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["justified"] === "1"}
                      onClick={this.togglePills("justified", "1")}
                    >
                      Active
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["justified"] === "2"}
                      onClick={this.togglePills("justified", "2")}
                    >
                      Link
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["justified"] === "3"}
                      onClick={this.togglePills("justified", "3")}
                    >
                      Link
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["justified"] === "4"}
                      onClick={this.togglePills("justified", "4")}
                    >
                      Help
                    </MDBNavLink>
                  </MDBNavItem>
                </MDBNav>
              </MDBContainer>
            );
          }
        }

        export default PillsJustified;
        
        
    

Pills with dropdown MDB Pro component

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBNav, 
          MDBNavItem, 
          MDBNavLink, 
          MDBDropdown, 
          MDBDropdownToggle, 
          MDBDropdownMenu, 
          MDBDropdownItem 
        } from "mdbreact";

        class PillsDropdown extends Component {
          state = {
            items: {
              dropdown: "1"
            }
          }

          togglePills = (type, tab) => e => {
            e.preventDefault();
            if (this.state.items[type] !== tab) {
              let items = { ...this.state.items };
              items[type] = tab;
              this.setState({
                items
              });
            }
          };

          render() {
            return (
              <MDBContainer>
                <MDBNav pills color="success" className="nav-justified ">
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["dropdown"] === "1"}
                      onClick={this.togglePills("dropdown", "1")}
                    >
                      Active
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBDropdown>
                      <MDBDropdownToggle nav caret color="success">
                        Dropdown
                      </MDBDropdownToggle>
                      <MDBDropdownMenu color="success">
                        <MDBDropdownItem>Action</MDBDropdownItem>
                        <MDBDropdownItem>Another Action</MDBDropdownItem>
                        <MDBDropdownItem>Something else here</MDBDropdownItem>
                        <MDBDropdownItem divider />
                        <MDBDropdownItem>Separated link</MDBDropdownItem>
                      </MDBDropdownMenu>
                    </MDBDropdown>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["dropdown"] === "2"}
                      onClick={this.togglePills("dropdown", "2")}
                    >
                      Link 1
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["dropdown"] === "3"}
                      onClick={this.togglePills("dropdown", "3")}
                    >
                      Link 2
                    </MDBNavLink>
                  </MDBNavItem>
                </MDBNav>

              </MDBContainer>
            );
          }
        }

        export default PillsDropdown;
        
        
    

Gradient pills MDB Pro component

        
            

        import React, { Component } from "react";
        import { MDBContainer, MDBNav, MDBNavItem, MDBNavLink } from "mdbreact";
        import "./Pills.css"; //Import necessary styles for this example


        class PillsGradient extends Component {
          state = {
            items: {
            gradient: "1",
            }
          }

          togglePills = (type, tab) => e => {
            e.preventDefault();
            if (this.state.items[type] !== tab) {
              let items = { ...this.state.items };
              items[type] = tab;
              this.setState({
                items
              });
            }
          };

          render() {
            return (
              <MDBContainer>
                <MDBNav pills className="nav-justified pills-peach-gradient">
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["gradient"] === "1"}
                      onClick={this.togglePills("gradient", "1")}
                    >
                      Blogger
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["gradient"] === "2"}
                      onClick={this.togglePills("gradient", "2")}
                    >
                      Designer
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["gradient"] === "3"}
                      onClick={this.togglePills("gradient", "3")}
                    >
                      Photographer
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["gradient"] === "4"}
                      onClick={this.togglePills("gradient", "4")}
                    >
                      Model
                    </MDBNavLink>
                  </MDBNavItem>
                </MDBNav>
              </MDBContainer>
            );
          }
        }

        export default PillsGradient;
        
        
    
        
            

          .pills-peach-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #FFD86F, #FC6262);
          }
          .pills-blue-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #45cafc, #303f9f);
          }
          .pills-purple-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #ff6ec4, #7873f5);
          }
          .pills-aqua-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #2096ff, #05ffa3);
          }

        
        
    

Vertical pills MDB Pro component

Downloads

Completely legal

Orders & Invoices

"Hello? Is it me you're looking for?"

Billing Details

Time to pay

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBRow, 
          MDBCol, 
          MDBBtn, 
          MDBCardBody, 
          MDBCardTitle, 
          MDBCardText, 
          MDBTabPane, 
          MDBTabContent,
          MDBNav, 
          MDBNavItem, 
          MDBNavLink, 
          MDBIcon 
        } from "mdbreact";

        class VerticalPills extends Component {
          state = {
            items: {
              vertical: "1"
            }
          }

          togglePills = (type, tab) => e => {
            e.preventDefault();
            if (this.state.items[type] !== tab) {
              let items = { ...this.state.items };
              items[type] = tab;
              this.setState({
                items
              });
            }
          };

          render() {
            return (
              <MDBContainer>
                <MDBRow>
                  <MDBCol md="3">
                    <MDBNav pills color="primary" className="flex-column">
                      <MDBNavItem>
                        <MDBNavLink
                          link
                          to="#"
                          active={this.state.items["vertical"] === "1"}
                          onClick={this.togglePills("vertical", "1")}
                        >
                          Downloads <MDBIcon icon="download" className="ml-2" />
                        </MDBNavLink>
                      </MDBNavItem>
                      <MDBNavItem>
                        <MDBNavLink
                          link
                          to="#"
                          active={this.state.items["vertical"] === "2"}
                          onClick={this.togglePills("vertical", "2")}
                        >
                          Orders & invoices
                          <MDBIcon icon="file-alt" className="ml-2" />
                        </MDBNavLink>
                      </MDBNavItem>
                      <MDBNavItem>
                        <MDBNavLink
                          link
                          to="#"
                          active={this.state.items["vertical"] === "3"}
                          onClick={this.togglePills("vertical", "3")}
                        >
                          Billing Details
                          <MDBIcon icon="address-card" className="ml-2" />
                        </MDBNavLink>
                      </MDBNavItem>
                    </MDBNav>
                  </MDBCol>
                  <MDBCol md="9">
                    <MDBTabContent activeItem={this.state.items["vertical"]}>
                      <MDBTabPane tabId="1">
                        <MDBCardBody>
                          <MDBCardTitle>Downloads</MDBCardTitle>
                          <MDBCardText>Completely legal</MDBCardText>
                        </MDBCardBody>
                      </MDBTabPane>
                      <MDBTabPane tabId="2">
                        <MDBCardBody>
                          <MDBCardTitle>Orders & Invoices</MDBCardTitle>
                          <MDBCardText>
                            "Hello? Is it me you're looking for?"
                          </MDBCardText>
                        </MDBCardBody>
                      </MDBTabPane>
                      <MDBTabPane tabId="3">
                        <MDBCardBody>
                          <MDBCardTitle>Billing Details</MDBCardTitle>
                          <MDBCardText>
                            Time to pay{" "}
                            <MDBBtn className="ml-3" color="primary">
                              pay
                            </MDBBtn>
                          </MDBCardText>
                        </MDBCardBody>
                      </MDBTabPane>
                    </MDBTabContent>
                  </MDBCol>
                </MDBRow>
              </MDBContainer>
            );
          }
        }

        export default VerticalPills;

        
        
    

Rounded pills MDB Pro component

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBRow, MDBNav, 
          MDBNavItem, 
          MDBNavLink 
        } from "mdbreact";
        import "./Pills.css"; //Import necessary styles for this example

        class PillsRounded extends Component {
          state = {
              items: {
              rounded: "1",
              rounded2: "1",
              roundedGradient: "1",
              roundedGradient2: "1",
              roundedOutline: "1",
              roundedOutline2: "1",
            }
          }

          togglePills = (type, tab) => e => {
            e.preventDefault();
            if (this.state.items[type] !== tab) {
              let items = { ...this.state.items };
              items[type] = tab;
              this.setState({
                items
              });
            }
          };

          render() {
            return (
              <MDBContainer>
                <MDBRow>
                  <MDBNav
                    pills
                    color="deep-purple"
                    className="nav-justified col-md-6 pills-rounded"
                  >
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["rounded"] === "1"}
                        onClick={this.togglePills("rounded", "1")}
                      >
                        Active
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["rounded"] === "2"}
                        onClick={this.togglePills("rounded", "2")}
                      >
                        Link 1
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["rounded"] === "3"}
                        onClick={this.togglePills("rounded", "3")}
                      >
                        Link 2
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["rounded"] === "4"}
                        onClick={this.togglePills("rounded", "4")}
                      >
                        Link 3
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>

                  <MDBNav
                    pills
                    color="light-purple"
                    className="nav-justified col-md-6 pills-rounded"
                  >
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["rounded2"] === "1"}
                        onClick={this.togglePills("rounded2", "1")}
                      >
                        Active
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["rounded2"] === "2"}
                        onClick={this.togglePills("rounded2", "2")}
                      >
                        Link 1
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["rounded2"] === "3"}
                        onClick={this.togglePills("rounded2", "3")}
                      >
                        Link 2
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["rounded2"] === "4"}
                        onClick={this.togglePills("rounded2", "4")}
                      >
                        Link 3
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>

                  <MDBNav
                    pills
                    className="nav-justified col-md-6 pills-peach-gradient pills-rounded"
                  >
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedGradient"] === "1"}
                        onClick={this.togglePills("roundedGradient", "1")}
                      >
                        Active
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedGradient"] === "2"}
                        onClick={this.togglePills("roundedGradient", "2")}
                      >
                        Link 1
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedGradient"] === "3"}
                        onClick={this.togglePills("roundedGradient", "3")}
                      >
                        Link 2
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedGradient"] === "4"}
                        onClick={this.togglePills("roundedGradient", "4")}
                      >
                        Link 3
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>

                  <MDBNav
                    pills
                    className="nav-justified col-md-6 pills-rounded pills-green-gradient"
                  >
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedGradient2"] === "1"}
                        onClick={this.togglePills("roundedGradient2", "1")}
                      >
                        Active
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedGradient2"] === "2"}
                        onClick={this.togglePills("roundedGradient2", "2")}
                      >
                        Link 1
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedGradient2"] === "3"}
                        onClick={this.togglePills("roundedGradient2", "3")}
                      >
                        Link 2
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedGradient2"] === "4"}
                        onClick={this.togglePills("roundedGradient2", "4")}
                      >
                        Link 3
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>

                  <MDBNav
                    pills
                    className="nav-justified col-md-6 pills-rounded pills-outline-red"
                  >
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedOutline"] === "1"}
                        onClick={this.togglePills("roundedOutline", "1")}
                      >
                        Active
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedOutline"] === "2"}
                        onClick={this.togglePills("roundedOutline", "2")}
                      >
                        Link 1
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedOutline"] === "3"}
                        onClick={this.togglePills("roundedOutline", "3")}
                      >
                        Link 2
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedOutline"] === "4"}
                        onClick={this.togglePills("roundedOutline", "4")}
                      >
                        Link 3
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>

                  <MDBNav
                    pills
                    className="nav-justified col-md-6 pills-rounded pills-outline-green"
                  >
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedOutline2"] === "1"}
                        onClick={this.togglePills("roundedOutline2", "1")}
                      >
                        Active
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedOutline2"] === "2"}
                        onClick={this.togglePills("roundedOutline2", "2")}
                      >
                        Link 1
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedOutline2"] === "3"}
                        onClick={this.togglePills("roundedOutline2", "3")}
                      >
                        Link 2
                      </MDBNavLink>
                    </MDBNavItem>
                    <MDBNavItem>
                      <MDBNavLink
                        link
                        to="#"
                        active={this.state.items["roundedOutline2"] === "4"}
                        onClick={this.togglePills("roundedOutline2", "4")}
                      >
                        Link 3
                      </MDBNavLink>
                    </MDBNavItem>
                  </MDBNav>
                </MDBRow>
              </MDBContainer>
            );
          }
        }

        export default PillsRounded;

        
        
    
        
            
        .pills-rounded .nav-item .nav-link {
          border-radius: 10em;
        }
        .pills-light-purple .nav-item .nav-link.active {
          background-color: #ba68c8;
        }

        .pills-outline-red .nav-item .nav-link {
          border: 2px solid #fff;
          color: #666;
          background-color: transparent;
        }
        .pills-outline-red .nav-item .nav-link:hover {
          border: 2px solid #eee;
        }
        .pills-outline-red .nav-item .nav-link.active {
          border: 2px solid #f44336;
          color: #f44336;
        }
        .pills-outline-red .nav-item .nav-link.active:hover {
          border: 2px solid #f44336;
          color: #f44336;
        }

        .pills-outline-green .nav-item .nav-link {
          border: 2px solid #fff;
          color: #666;
          background-color: transparent;
        }
        .pills-outline-green .nav-item .nav-link:hover {
          border: 2px solid #eee;
        }
        .pills-outline-green .nav-item .nav-link.active {
          border: 2px solid #4caf50;
          color: #4caf50;
        }
        .pills-outline-green .nav-item .nav-link.active:hover {
          border: 2px solid #4caf50;
          color: #4caf50;
        }

        .pills-peach-gradient .nav-item .nav-link.active {
          background: linear-gradient(40deg, #ffd86f, #fc6262);
        }
        .pills-blue-gradient .nav-item .nav-link.active {
          background: linear-gradient(40deg, #45cafc, #303f9f);
        }
        .pills-purple-gradient .nav-item .nav-link.active {
          background: linear-gradient(40deg, #ff6ec4, #7873f5);
        }
        .pills-aqua-gradient .nav-item .nav-link.active {
          background: linear-gradient(40deg, #2096ff, #05ffa3);
        }
        
        
    

Pills With Icon MDB Pro component

        
            
        import React, { Component } from "react";
        import { 
          MDBContainer, 
          MDBNav, 
          MDBNavItem, 
          MDBNavLink, 
          MDBIcon 
        } from "mdbreact";
        import "./Pills.css"; //Import necessary styles for this example

        class PillsWithIcon extends Component {
          state = {
            items: {
            icons: "1",
            iconsRight: "1",
            }
          }

          togglePills = (type, tab) => e => {
            e.preventDefault();
            if (this.state.items[type] !== tab) {
              let items = { ...this.state.items };
              items[type] = tab;
              this.setState({
                items
              });
            }
          };

          render() {
            return (
              <MDBContainer>
                <MDBNav pills color="info" className="nav-justified ">
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["icons"] === "1"}
                      onClick={this.togglePills("icons", "1")}
                    >
                      <MDBIcon fab icon="android" /> USA
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["icons"] === "2"}
                      onClick={this.togglePills("icons", "2")}
                    >
                      <MDBIcon icon="leaf" /> Mexico
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["icons"] === "3"}
                      onClick={this.togglePills("icons", "3")}
                    >
                      <MDBIcon icon="heart" /> Poland
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["icons"] === "4"}
                      onClick={this.togglePills("icons", "4")}
                    >
                      <MDBIcon icon="futbol" /> Brazil
                    </MDBNavLink>
                  </MDBNavItem>
                </MDBNav>
                <MDBNav pills className="nav-justified pills-rounded pills-outline-red">
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["iconsRight"] === "1"}
                      onClick={this.togglePills("iconsRight", "1")}
                    >
                      San Francisco <MDBIcon far icon="grin" />
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["iconsRight"] === "2"}
                      onClick={this.togglePills("iconsRight", "2")}
                    >
                      Tijuana <MDBIcon icon="users" />
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["iconsRight"] === "3"}
                      onClick={this.togglePills("iconsRight", "3")}
                    >
                      Cracow <MDBIcon icon="thumbs-up" />
                    </MDBNavLink>
                  </MDBNavItem>
                  <MDBNavItem>
                    <MDBNavLink
                      link
                      to="#"
                      active={this.state.items["iconsRight"] === "4"}
                      onClick={this.togglePills("iconsRight", "4")}
                    >
                      Rio de Janeiro <MDBIcon icon="coffee" />
                    </MDBNavLink>
                  </MDBNavItem>
                </MDBNav>
              </MDBContainer>
            );
          }
        }

        export default PillsWithIcon;

      
        
    
        
            
        .pills-rounded .nav-item .nav-link {
          border-radius: 10em;
        }
        .pills-outline-red .nav-item .nav-link {
          border: 2px solid #fff;
          color: #666;
          background-color: transparent;
        }
          .pills-outline-red .nav-item .nav-link:hover {
          border: 2px solid #eee;
        }
          .pills-outline-red .nav-item .nav-link.active {
          border: 2px solid #f44336;
          color: #f44336;
        }
          .pills-outline-red .nav-item .nav-link.active:hover {
          border: 2px solid #f44336;
          color: #f44336;
        }

        
        
    

Pills With Content MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
          import React, { Component } from "react";
          import { 
            MDBTabPane, 
            MDBTabContent, 
            MDBNav, 
            MDBNavItem, 
            MDBNavLink, 
            MDBContainer, 
            MDBRow, 
            MDBCol 
          } from "mdbreact";
          import "./Pills.css"; //Import necessary styles for this example

          class PillsWithContent extends Component {
            state = {
              items: {
              content: "1",
              contentCard: "1",
              }
            }

            togglePills = (type, tab) => e => {
              e.preventDefault();
              if (this.state.items[type] !== tab) {
                let items = { ...this.state.items };
                items[type] = tab;
                this.setState({
                  items
                });
              }
            };

            render() {
              return (
                <MDBContainer>
                  <MDBRow>
                    <MDBCol md="6">
                      <MDBNav
                        pills
                        className="nav-justified pills-rounded pills-purple-gradient"
                      >
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["content"] === "1"}
                            onClick={this.togglePills("content", "1")}
                          >
                            Fashion
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["content"] === "2"}
                            onClick={this.togglePills("content", "2")}
                          >
                            Lifestyle
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["content"] === "3"}
                            onClick={this.togglePills("content", "3")}
                          >
                            Beauty
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["content"] === "4"}
                            onClick={this.togglePills("content", "4")}
                          >
                            Shop
                          </MDBNavLink>
                        </MDBNavItem>
                      </MDBNav>
                      <MDBTabContent activeItem={this.state.items["content"]}>
                        <MDBTabPane tabId="1">
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                        </MDBTabPane>
                        <MDBTabPane tabId="2">
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                        </MDBTabPane>
                        <MDBTabPane tabId="3">
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                        </MDBTabPane>
                        <MDBTabPane tabId="4">
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                        </MDBTabPane>
                      </MDBTabContent>
                    </MDBCol>
                    <MDBCol md="6">
                      <MDBNav pills color="warning" className="nav-justified mb-4">
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["contentCard"] === "1"}
                            onClick={this.togglePills("contentCard", "1")}
                          >
                            Fashion
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["contentCard"] === "2"}
                            onClick={this.togglePills("contentCard", "2")}
                          >
                            Lifestyle
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["contentCard"] === "3"}
                            onClick={this.togglePills("contentCard", "3")}
                          >
                            Beauty
                          </MDBNavLink>
                        </MDBNavItem>
                      </MDBNav>
                      <MDBTabContent
                        className={"card"}
                        activeItem={this.state.items["contentCard"]}
                      >
                        <MDBTabPane tabId="1">
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                        </MDBTabPane>
                        <MDBTabPane tabId="2">
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                        </MDBTabPane>
                        <MDBTabPane tabId="3">
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing
                            elit. Nihil odit magnam minima, soluta doloribus
                            reiciendis molestiae placeat unde eos molestias.
                            Quisquam aperiam, pariatur. Tempora, placeat ratione
                            porro voluptate odit minima.
                          </p>
                        </MDBTabPane>
                      </MDBTabContent>
                    </MDBCol>
                  </MDBRow>
                  </MDBContainer>
              );
            }
          }

          export default PillsWithContent;
        
        
    
        
            
          .pills-rounded .nav-item .nav-link {
            border-radius: 10em;
          }
          .pills-purple-gradient .nav-item .nav-link.active {
            background: linear-gradient(40deg, #ff6ec4, #7873f5);
          }
        
        
    

Colors aniamations MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil odit magnam minima, soluta doloribus reiciendis molestiae placeat unde eos molestias. Quisquam aperiam, pariatur. Tempora, placeat ratione porro voluptate odit minima.

        
            
                import React, { Component } from "react";
                import { 
                  MDBContainer, 
                  MDBCol, 
                  MDBTabPane, 
                  MDBTabContent, 
                  MDBNav, 
                  MDBNavItem, 
                  MDBNavLink 
                } from "mdbreact";
                import "./Pills.css"; //Import necessary styles for this example
      
                class PillsColorAnimations extends Component {
                  state = {
                    items: {
                    animation: "1",
                    animationRO: "1",
                    animationR: "1",
                    }
                  }
        
                  togglePills = (type, tab) => e => {
                    e.preventDefault();
                    if (this.state.items[type] !== tab) {
                      let items = { ...this.state.items };
                      items[type] = tab;
                      this.setState({
                        items
                      });
                    }
                  };
        
                  render() {
                    return (
                      <MDBContainer>
                        <MDBCol xl="8" md="10">
                          <MDBNav pills color="blue-teal" className="nav-justified">
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animation"] === "1"}
                                onClick={this.togglePills("animation", "1")}
                              >
                                Fashion
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animation"] === "2"}
                                onClick={this.togglePills("animation", "2")}
                              >
                                Lifestyle
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animation"] === "3"}
                                onClick={this.togglePills("animation", "3")}
                              >
                                Beauty
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animation"] === "4"}
                                onClick={this.togglePills("animation", "4")}
                              >
                                Shop
                              </MDBNavLink>
                            </MDBNavItem>
                          </MDBNav>
                          <MDBNav
                            pills
                            className="nav-justified pills-rounded pills-outline-purple-anm"
                          >
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animationRO"] === "1"}
                                onClick={this.togglePills("animationRO", "1")}
                              >
                                Madrid
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animationRO"] === "2"}
                                onClick={this.togglePills("animationRO", "2")}
                              >
                                Bari
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animationRO"] === "3"}
                                onClick={this.togglePills("animationRO", "3")}
                              >
                                Warsaw
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animationRO"] === "4"}
                                onClick={this.togglePills("animationRO", "4")}
                              >
                                Paris
                              </MDBNavLink>
                            </MDBNavItem>
                          </MDBNav>
                          <MDBNav
                            pills
                            className="nav-justified pills-rounded pills-orange-anm"
                          >
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animationR"] === "1"}
                                onClick={this.togglePills("animationR", "1")}
                              >
                                Features
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animationR"] === "2"}
                                onClick={this.togglePills("animationR", "2")}
                              >
                                Pricing
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animationR"] === "3"}
                                onClick={this.togglePills("animationR", "3")}
                              >
                                Gadgets
                              </MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink
                                link
                                to="#"
                                active={this.state.items["animationR"] === "4"}
                                onClick={this.togglePills("animationR", "4")}
                              >
                                Technology
                              </MDBNavLink>
                            </MDBNavItem>
                          </MDBNav>
                          <MDBTabContent activeItem={this.state.items["animationR"]}>
                            <MDBTabPane tabId="1">
                              <p>
                                Lorem ipsum dolor sit amet, consectetur adipisicing
                                elit. Nihil odit magnam minima, soluta doloribus
                                reiciendis molestiae placeat unde eos molestias.
                                Quisquam aperiam, pariatur. Tempora, placeat ratione
                                porro voluptate odit minima.
                              </p>
                            </MDBTabPane>
                            <MDBTabPane tabId="2">
                              <p>
                                Lorem ipsum dolor sit amet, consectetur adipisicing
                                elit. Nihil odit magnam minima, soluta doloribus
                                reiciendis molestiae placeat unde eos molestias.
                                Quisquam aperiam, pariatur. Tempora, placeat ratione
                                porro voluptate odit minima.
                              </p>
                              <p>
                                Lorem ipsum dolor sit amet, consectetur adipisicing
                                elit. Nihil odit magnam minima, soluta doloribus
                                reiciendis molestiae placeat unde eos molestias.
                                Quisquam aperiam, pariatur. Tempora, placeat ratione
                                porro voluptate odit minima.
                              </p>
                            </MDBTabPane>
                            <MDBTabPane tabId="3">
                              <p>
                                Lorem ipsum dolor sit amet, consectetur adipisicing
                                elit. Nihil odit magnam minima, soluta doloribus
                                reiciendis molestiae placeat unde eos molestias.
                                Quisquam aperiam, pariatur. Tempora, placeat ratione
                                porro voluptate odit minima.
                              </p>
                            </MDBTabPane>
                            <MDBTabPane tabId="4">
                              <p>
                                Lorem ipsum dolor sit amet, consectetur adipisicing
                                elit. Nihil odit magnam minima, soluta doloribus
                                reiciendis molestiae placeat unde eos molestias.
                                Quisquam aperiam, pariatur. Tempora, placeat ratione
                                porro voluptate odit minima.
                              </p>
                              <p>
                                Lorem ipsum dolor sit amet, consectetur adipisicing
                                elit. Nihil odit magnam minima, soluta doloribus
                                reiciendis molestiae placeat unde eos molestias.
                                Quisquam aperiam, pariatur. Tempora, placeat ratione
                                porro voluptate odit minima.
                              </p>
                            </MDBTabPane>
                          </MDBTabContent>
                        </MDBCol>
                        </MDBContainer>
                    );
                  }
                }
      
                export default PillsColorAnimations;
              
        
    
        
            
                .pills-blue-teal .nav-item .nav-link.active {
                  background-color: #4fc3f7;
                  -webkit-animation-name: example; /* Safari 4.0 - 8.0 */
                  -webkit-animation-duration: 4s; /* Safari 4.0 - 8.0 */
                  animation-name: example;
                  animation-duration: 4s;
                }
                /* Safari 4.0 - 8.0 */
                @-webkit-keyframes example {
                  from {background-color: #4fc3f7;}
                  to {background-color: #009688;}
                  }
      
                /* Standard syntax */
                @keyframes example {
                  from {background-color: #4fc3f7;}
                  to {background-color: #009688;}
                }
      
                .pills-outline-purple-anm .nav-item .nav-link.active {
                  border: 2px solid #9c27b0;
                  color: #9c27b0;
                  background-color: transparent;
                  -webkit-animation-name: outline; /* Safari 4.0 - 8.0 */
                  -webkit-animation-duration: 4s; /* Safari 4.0 - 8.0 */
                  animation-name: outline;
                  animation-duration: 4s;
                }
                /* Safari 4.0 - 8.0 */
                @-webkit-keyframes outline {
                  from {border: 2px solid #9c27b0; color: #9c27b0;}
                  to {border: 2px solid #f48fb1; color: #f48fb1;}
                }
      
                /* Standard syntax */
                @keyframes outline {
                  from {border: 2px solid #9c27b0; color: #9c27b0;}
                  to {border: 2px solid #f48fb1; color: #f48fb1;}
                }
      
                  .pills-orange-anm .nav-item .nav-link.active {
                  background-color: #ffa000 ;
                  -webkit-animation-name: orange; /* Safari 4.0 - 8.0 */
                  -webkit-animation-duration: 4s; /* Safari 4.0 - 8.0 */
                  animation-name: orange;
                  animation-duration: 4s;
                }
                /* Safari 4.0 - 8.0 */
                  @-webkit-keyframes orange {
                from {background-color: #ffa000 ;}
                  to {background-color: #f44336;}
                }
      
                /* Standard syntax */
                @keyframes orange {
                  from {background-color: #ffa000 ;}
                  to {background-color: #f44336;}
                }
      
                .pills-rounded .nav-item .nav-link {
                  border-radius: 10em;
                }
              
        
    

Pills within modal MDB Pro component

        
            
          import React, { Component } from "react";
          import {
            MDBContainer,
            MDBRow,
            MDBCol,
            MDBBtn,
            MDBIcon,
            MDBModal,
            MDBModalBody,
            MDBModalFooter,
            MDBInput,
            MDBTabPane,
            MDBTabContent,
            MDBNav,
            MDBNavItem,
            MDBNavLink,
          } from "mdbreact";

          class PillsInModal extends Component {
            state = {
              modal1: false,
              items: {
                modal: "1",
              }
            }

            togglePills = (type, tab) => e => {
              e.preventDefault();
              if (this.state.items[type] !== tab) {
                let items = { ...this.state.items };
                items[type] = tab;
                this.setState({
                  items
                });
              }
            };

            toggle = nr => () => {
              let modalNumber = "modal" + nr;
              this.setState({
                [modalNumber]: !this.state[modalNumber]
              });
            };

            render() {
              return (
                <MDBContainer>
                  <MDBBtn rounded onClick={this.toggle(1)}>
                    Launch Modal LogIn/Register
                    <MDBIcon icon="eye" className="ml-1" />
                  </MDBBtn>
                  <MDBModal
                    isOpen={this.state.modal1}
                    toggle={this.toggle(1)}
                    centered
                  >
                    <MDBModalBody>
                      <MDBNav pills color="primary" className="nav-justified pt-2">
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["modal"] === "1"}
                            onClick={this.togglePills("modal", "1")}
                          >
                            <MDBIcon icon="user" className="mr-1" /> Login
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink
                            link
                            to="#"
                            active={this.state.items["modal"] === "2"}
                            onClick={this.togglePills("modal", "2")}
                          >
                            <MDBIcon icon="user-plus" className="mr-1" /> Register
                          </MDBNavLink>
                        </MDBNavItem>
                      </MDBNav>
                      <MDBTabContent activeItem={this.state.items['modal']}>
                        <MDBTabPane tabId="1">
                          <form className=" mx-3 grey-text">
                            <MDBInput
                              label="Your email"
                              icon="envelope"
                              group
                              type="email"
                              validate
                              error="wrong"
                              success="right"
                            />
                            <MDBInput
                              label="Your password"
                              icon="lock"
                              group
                              type="password"
                              validate
                            />
                            <MDBCol size="12" className="text-center">
                              <MDBBtn color="primary">
                                LOG IN
                                <MDBIcon icon="sign-in-alt" className="ml-1" />
                              </MDBBtn>
                            </MDBCol>
                          </form>
                        </MDBTabPane>
                        <MDBTabPane tabId="2">
                          <form className="mx-3 grey-text">
                            <MDBInput
                              label="Your name"
                              icon="user"
                              group
                              type="text"
                              validate
                              error="wrong"
                              success="right"
                            />
                            <MDBInput
                              label="Your email"
                              icon="envelope"
                              group
                              type="email"
                              validate
                              error="wrong"
                              success="right"
                            />
                            <MDBInput
                              label="Your password"
                              icon="lock"
                              group
                              type="password"
                              validate
                            />
                            <MDBCol size="12" className="text-center">
                              <MDBBtn color="primary">
                                SIGN IN
                                <MDBIcon icon="sign-in-alt" className="ml-1" />
                              </MDBBtn>
                            </MDBCol>
                          </form>
                        </MDBTabPane>
                      </MDBTabContent>
                    </MDBModalBody>
                    <MDBModalFooter className="justify-content-center">
                      <MDBRow className="w-100 justify-content-start">
                        <MDBCol size="8">
                          <div id="options" className="text-right float-left">
                            <MDBTabContent
                              className="pt-1 px-0 pb-0"
                              activeItem={this.state.items["modal"]}
                            >
                              <MDBTabPane tabId="1">
                                <p className="font-small">
                                  Not a member?
                                  <a
                                    className="blue-text ml-1"
                                    onClick={this.togglePills("modal", "2")}
                                  >
                                    Sign Up
                                  </a>
                                </p>
                                <p className="font-small">
                                  Forgot <a className="blue-text ml-1">password?</a>
                                </p>
                              </MDBTabPane>
                              <MDBTabPane tabId="2">
                                <p className="font-small">
                                  Already have an account?
                                  <a
                                    className="blue-text ml-1"
                                    onClick={this.togglePills("modal", "2")}
                                  >
                                    LogIn
                                  </a>
                                </p>
                                <p className="font-small">
                                  Forgot <a className="blue-text ml-1">password?</a>
                                </p>
                              </MDBTabPane>
                            </MDBTabContent>
                          </div>
                        </MDBCol>
                        <MDBCol size="4" className="float-right">
                          <MDBBtn outline color="primary" onClick={this.toggle(1)}>
                            CLOSE
                          </MDBBtn>
                        </MDBCol>
                      </MDBRow>
                    </MDBModalFooter>
                  </MDBModal>
                </MDBContainer>
              );
            }
          }

          export default PillsInModal;

        
        
    

React Pills - API

In this section you will find advanced information about the Pills component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

Pill are variation of Tabs, so make sure you have imported proper modules first.

        
            
          import { MDBTabPane, MDBTabContent } from 'mdbreact';
        
        
    

API Reference: TabContent Properties

The table below shows the configuration options of the MDBTabContent component.

Name Type Default Description Example
activeItem String Active TabPane id - use this prop to control the component <MDBTabContent activeItem={this.state.activeTab} />
className String Sets custom classes, use class card to achieve card-like effect (you can use Card subcomponents inside) <MDBTabContent className="card" />

API Reference: TabPane Properties

The table below shows the configuration options of the MDBTabPane component.

Name Type Default Description Example
className String Adds custom classes <MDBTabPane className="customClass" />
tabId String Indicates active pane <MDBTabPane tabId="tab1" />